Bug 964676 - Conflict with USB 2.0 and 3.0 on same controller
Conflict with USB 2.0 and 3.0 on same controller
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
19
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-19 09:16 EDT by hxkhltr
Modified: 2014-06-17 12:49 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-17 12:49:14 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
output of lspci -k (2.42 KB, text/plain)
2013-05-19 09:16 EDT, hxkhltr
no flags Details

  None (edit)
Description hxkhltr 2013-05-19 09:16:21 EDT
Created attachment 750040 [details]
output of lspci -k

Description of problem:
USB 2.0 and 3.0 are using same controller. Both are assigned xHCI.  USB 2.0 does pass power but not data


Version-Release number of selected component (if applicable):


How reproducible:High


Steps to Reproduce:
1.Install linux distro onto Sony Vaio laptop SVT13124CXS
2.Boot
3.
  
Actual results:
USB 3.0 functions USB 2.0 only passes power


Expected results:
Both ports completely function

Additional info:
Problem persists in Ubuntu, possibly others.
Port 2.0 is recognized but does not have complete fuctionality.
Comment 1 Fedora End Of Life 2013-07-03 19:55:42 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 hxkhltr 2013-07-05 20:22:12 EDT
Reposting this issue as it persists in Fedora 19.  Here is a link to Ubuntu forum showing same problem across T series Sony laptops.

https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1172908
Comment 3 Josh Boyer 2013-09-18 16:36:36 EDT
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 19 kernel bugs.

Fedora 19 has now been rebased to 3.11.1-200.fc19.  Please test this kernel update and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you experience different issues, please open a new bug report for those.
Comment 4 hxkhltr 2013-09-18 17:25:28 EDT
The bug still persists with 3.11.1-200.fc19
Comment 5 hxkhltr 2013-12-05 23:09:34 EST
Found this post on ubuntu bug site.

post # 32 

https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1210858

Possible fix?

not sure how to implement on fedora kernel or if even possible.
Comment 6 Josh Boyer 2013-12-08 15:26:55 EST
The commit mentioned in the ubuntu bug landed in 3.12.  Could you please test a 3.12 kernel from the rawhide nodebug repo (being kept on 3.12.y stable) and tell us if this resolves the issue for you?

https://fedoraproject.org/wiki/RawhideKernelNodebug
Comment 8 hxkhltr 2013-12-08 19:05:13 EST
Downloaded rawhide from repo.

I am a little confused, I have never used rawhide releases.

Must a kernel upgrade be performed when going from 19 to rawhide or can it be insalled from yum update like any other kernel update and chosen from grub menu?
Comment 9 Josh Boyer 2013-12-09 08:26:45 EST
(In reply to hxkhltr from comment #8)
> Downloaded rawhide from repo.
> 
> I am a little confused, I have never used rawhide releases.
> 
> Must a kernel upgrade be performed when going from 19 to rawhide or can it
> be insalled from yum update like any other kernel update and chosen from
> grub menu?

The latter.  You should just be able to install it and pick it from the grub menu.
Comment 10 hxkhltr 2013-12-09 10:54:30 EST
Installed latest rawhide from nodebug repo with secure boot disabled in bios, and also did an additional update upon reboot.

Problem persists.
Comment 11 Justin M. Forbes 2014-01-03 17:10:06 EST
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 19 kernel bugs.

Fedora 19 has now been rebased to 3.12.6-200.fc19.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 20, and are still experiencing this issue, please change the version to Fedora 20.

If you experience different issues, please open a new bug report for those.
Comment 12 hxkhltr 2014-01-06 09:03:25 EST
The issue is still present.
Comment 13 hxkhltr 2014-01-17 19:00:55 EST
Built kernel-3.9.5-301 with patch:

--- pci-quirks.c~ 2013-08-06 07:25:47.000000000 -0400
+++ pci-quirks.c 2013-08-30 14:23:47.597891192 -0400
@@ -921,9 +921,10 @@
  writel(val, base + ext_cap_offset + XHCI_LEGACY_CONTROL_OFFSET);

 hc_init:
+ /*
  if (usb_is_intel_switchable_xhci(pdev))
   usb_enable_xhci_ports(pdev);
-
+ */
  op_reg_base = base + XHCI_HC_LENGTH(readl(base));

  /* Wait for the host controller to be ready before writing any

USB 2.0 now works until first hibernate, then fails to wake up.

Could only find kernel source at http://archive.fedoraproject.org/pub/, could not find more recent source.
Comment 14 hxkhltr 2014-01-18 10:24:25 EST
Bult kernel-3.12.7-200 with patch:

--- pci-quirks.c~ 2013-08-06 07:25:47.000000000 -0400
+++ pci-quirks.c 2013-08-30 14:23:47.597891192 -0400
@@ -921,9 +921,10 @@
  writel(val, base + ext_cap_offset + XHCI_LEGACY_CONTROL_OFFSET);

 hc_init:
+ /*
  if (usb_is_intel_switchable_xhci(pdev))
   usb_enable_xhci_ports(pdev);
-
+ */
  op_reg_base = base + XHCI_HC_LENGTH(readl(base));

  /* Wait for the host controller to be ready before writing any


USB port functions until resume from hibernate or suspend.
Comment 15 hxkhltr 2014-01-19 13:17:18 EST
Built kernel-3.12.7-200 with previous patch plus :

diff -uNrp kernel-3.12.fc19.orig/linux-3.12.7-200.fc19.x86_64/drivers/usb/host/xhci-pci.c kernel-3.12.fc19.new/linux-3.12.7-200.fc19.x86_64/drivers/usb/host/xhci-pci.c
--- linux-3.12.7-200.fc19.x86_64/drivers/usb/host/xhci-pci.c	2014-01-19 11:47:25.736703734 -0500
+++ linux-3.12.7-200.fc19.x86_64/drivers/usb/host/xhci-pci.c	2014-01-19 11:51:14.563535198 -0500
@@ -289,9 +289,10 @@ static int xhci_pci_resume(struct usb_hc
 	 * running again until after all the devices (including both EHCI and
 	 * xHCI host controllers) have been resumed.
 	 */
-
+        /*
 	if (pdev->vendor == PCI_VENDOR_ID_INTEL)
 		usb_enable_intel_xhci_ports(pdev);
+        */
 
 	retval = xhci_resume(xhci, hibernated);
 	return retval;

USB now works on boot and after resume.

It seems that one brancing statement calling that particular function is hindering the port.

Personally I don't know if this is the best way to handle the problem, but it does seem to work.
Comment 16 hxkhltr 2014-02-15 14:05:38 EST
Had to compile new kernel with patch again for usb to work.  Any thoughts on possible solutions for main line realease.
Comment 17 Justin M. Forbes 2014-03-10 10:49:22 EDT
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 19 kernel bugs.

Fedora 19 has now been rebased to 3.13.5-100.fc19.  Please test this kernel update and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you experience different issues, please open a new bug report for those.
Comment 18 hxkhltr 2014-03-10 12:08:53 EDT
updated to kernel-3.13.5-101 and problem still persists.
Comment 19 Justin M. Forbes 2014-05-21 15:29:50 EDT
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 19 kernel bugs.

Fedora 19 has now been rebased to 3.14.4-100.fc19.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 20, and are still experiencing this issue, please change the version to Fedora 20.

If you experience different issues, please open a new bug report for those.
Comment 20 hxkhltr 2014-05-25 13:14:58 EDT
Issue persists with kernel-3.14.4-100.fc19.x86_64.
Comment 21 hxkhltr 2014-06-17 10:17:53 EDT
Issue resolved with kernel-3.14.7-100.fc19.x86_64.
Comment 22 Josh Boyer 2014-06-17 12:49:14 EDT
Thanks.

Note You need to log in before you can comment on or make changes to this bug.